# Maintainer: Tizen PM?
# You need ACK (+1) from the maintainer to be reviewed by building-block maintainers.

################
###  VIM3  ###
################
%package sub1-Preset_boards-VIM3_HAL_Backend
Summary:	VIM3 Selection for HAL
Requires:	model-config-generic-hal
Requires:	%{name}-sub2-Preset_boards-VIM3_HAL_Backend-Power
Requires:	%{name}-sub2-Preset_boards-VIM3_HAL_Backend-System_Device
Requires:	%{name}-sub2-Preset_boards-VIM3_HAL_Backend-Bluetooth
Requires:	%{name}-sub2-Preset_boards-VIM3_HAL_Backend-Audio
Requires:	%{name}-sub2-Preset_boards-VIM3_HAL_Backend-Camera_Common
Requires:	%{name}-sub2-Preset_boards-VIM3_HAL_Backend-Display
Requires:	%{name}-sub2-Preset_boards-VIM3_HAL_Backend-Codec
Requires:	%{name}-sub2-Preset_boards-VIM3_HAL_Backend-Sensor

%description sub1-Preset_boards-VIM3_HAL_Backend
Firstly select HAL Backends to add to your image.
%files sub1-Preset_boards-VIM3_HAL_Backend
%posttrans sub1-Preset_boards-VIM3_HAL_Backend
%tizen_hal_feature tizen.org/system/model_name vim3

### VIM3-Power ###
%package sub2-Preset_boards-VIM3_HAL_Backend-Power
Summary:	VIM3_Power

%description sub2-Preset_boards-VIM3_HAL_Backend-Power
Packages for PASS HAL and Feature for VIM3.
%files sub2-Preset_boards-VIM3_HAL_Backend-Power

### VIM3-System_Device ###
%package sub2-Preset_boards-VIM3_HAL_Backend-System_Device
Summary:	VIM3_Deviced Plugin for HAL
Requires:	hal-backend-device-vim3

%description sub2-Preset_boards-VIM3_HAL_Backend-System_Device
Packages for Deviced HAL and Feature for VIM3.
%files sub2-Preset_boards-VIM3_HAL_Backend-System_Device

### VIM3-Bluetooth ###
%package sub2-Preset_boards-VIM3_HAL_Backend-Bluetooth
Summary:	VIM3_Bluetooth for HAL
Requires:	hal-backend-bluetooth-vim3

%description sub2-Preset_boards-VIM3_HAL_Backend-Bluetooth
Packages of Bluetooth HAL and Feature for VIM3.
%files sub2-Preset_boards-VIM3_HAL_Backend-Bluetooth
%posttrans sub2-Preset_boards-VIM3_HAL_Backend-Bluetooth
%tizen_hal_feature tizen.org/feature/network.bluetooth true
%tizen_hal_feature tizen.org/feature/network.bluetooth.audio.media true
%tizen_hal_feature tizen.org/feature/network.bluetooth.hid true
%tizen_hal_feature tizen.org/feature/network.bluetooth.le true
%tizen_hal_feature tizen.org/feature/network.bluetooth.le.gatt.server true
%tizen_hal_feature tizen.org/feature/network.bluetooth.le.gatt.client true
%tizen_hal_feature tizen.org/feature/network.bluetooth.oob true

### VIM3-Audio ###
%package sub2-Preset_boards-VIM3_HAL_Backend-Audio
Summary:	VIM3_Audio for HAL
#From TRE-2758
Requires:	audio-hal-emul
#From TRE-2758
Requires:	media-config-target-vim3

%description sub2-Preset_boards-VIM3_HAL_Backend-Audio
Packages of Audio HAL and Feature for VIM3.
%files sub2-Preset_boards-VIM3_HAL_Backend-Audio

### VIM3-Camera_Common ###
%package sub2-Preset_boards-VIM3_HAL_Backend-Camera_Common
Summary:	VIM3_Camera(Common) for HAL
Requires:	camera-hal-v4l2
#From TRE-2758
Requires:	media-config-target-vim3

%description sub2-Preset_boards-VIM3_HAL_Backend-Camera_Common
Packages of Camera HAL and Feature for VIM3(Common).
%files sub2-Preset_boards-VIM3_HAL_Backend-Camera_Common

### VIM3-Display ###
%package sub2-Preset_boards-VIM3_HAL_Backend-Display
Summary:	VIM3_Display for HAL

%description sub2-Preset_boards-VIM3_HAL_Backend-Display
Packages of Display HAL and Feature for VIM3.
%files sub2-Preset_boards-VIM3_HAL_Backend-Display

### VIM3-Codec ###
%package sub2-Preset_boards-VIM3_HAL_Backend-Codec
Summary:	VIM3_Codec for HAL
#From TRE-2758
Requires:	media-config-target-vim3

%description sub2-Preset_boards-VIM3_HAL_Backend-Codec
Packages of Codec HAL and Feature for VIM3.
%files sub2-Preset_boards-VIM3_HAL_Backend-Codec

### VIM3-Sensor ###
%package sub2-Preset_boards-VIM3_HAL_Backend-Sensor
Summary:	VIM3_Sensor for HAL

%description sub2-Preset_boards-VIM3_HAL_Backend-Sensor
Packages of Sensor HAL and Feature for VIM3.
%files sub2-Preset_boards-VIM3_HAL_Backend-Sensor
